
Application: gvSIG desktop - gvSIG bugs #5175
Error al realizar unión de tablas
12/03/2019 01:23 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Óscar Martínez
Category: Document table
Target version: 2.5.1-3015
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2930 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

He realizado una unión de tablas, y me crea la capa Unión en la Vista pero no se carga correctamente, se ve con un aspa roja.

La misma unión se realizaba correctamente en la 2.4.

Adjunto log.

Associated revisions
Revision 44895 - 04/14/2020 10:13 PM - Óscar Martínez

refs  #5175 Permite enlazar por campos de diferente tipo

History
#1 - 12/04/2019 09:39 AM - Mario Carrera
- Target version set to 2.5.1-3002 (No instala)

#2 - 12/12/2019 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3002 (No instala) to 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)

#3 - 12/12/2019 11:35 AM - Mario Carrera

Añado información: Parece que puede estar relacionado con los tipos de campos. Si los campos clave para la unión son de tipo numérico, pero
diferente tipo (Long y Double por ejemplo), se crea esa capa Unión con error.

#4 - 12/20/2019 10:32 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261) to 2.5.1-3004

#5 - 02/21/2020 02:02 PM - Mario Carrera
- Target version changed from 2.5.1-3004 to 2.5.1-3044

Hay otro error en esta herramienta, en este caso en la exportación de la unión: Si se añade un prefijo en la unión de tablas, al hacer la unión se crea
correctamente, pero si los campos son más largos de 10 caracteres tras haber añadido los prefijos, al exportar a SHP la unión da error.
#6 - 03/04/2020 11:34 AM - Álvaro Anguix

¿Puedes añadir los datos para hacer la prueba?

#7 - 03/04/2020 11:36 AM - Álvaro Anguix

Con campos tipo string la unión funciona correctamente.

#8 - 03/26/2020 01:38 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#9 - 03/26/2020 12:27 PM - Mario Carrera
- File puntos.zip added

Adjunto datos de prueba: SHP y CSV

Pasos: 
- Cargamos el SHP en la Vista. 
- Cargamos el CSV desde "Tabla" (dejamos el campo "Punto" de tipo Integer que es lo que está por defecto y es lo lógico)
- Hacemos la Unión de tablas: 
   + Capa primera: la del SHP 
   + Capa a unir: la CSV 
   + Campos comunes de ambas: Campo "Punto" 
   + Campo a unir: Campo "Tipo" por ejemplo 
- Al unirse da error en la Vista.

Parece que es porque el campo Punto del SHP era de tipo Long, y el campo Punto del CSV era Integer.

#10 - 03/26/2020 02:25 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#11 - 04/13/2020 01:19 PM - Joaquín  del Cerro Murciano
- Assignee set to Óscar Martínez

#12 - 04/14/2020 08:37 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3015

#13 - 04/14/2020 10:13 PM - Óscar Martínez
- Status changed from New to Fixed

Ya funciona con campos de diferente tipo. En principio podría hasta funcionar con campos, por ejemplo, de String a Integer, pero la interfaz no permite
hacer estas selecciones.

#14 - 04/16/2020 02:07 PM - Álvaro Anguix
- Status changed from Fixed to Closed
Files
gvSIG.log 31.8 KB 12/03/2019 Mario Carrera
gvSIG.log.1 512 KB 12/03/2019 Mario Carrera
puntos.zip 19.9 KB 03/26/2020 Mario Carrera
